Subject: netatalk vs. MacOS X beta

From: Matthew Plumb <[email-masked]>
Date: Wed, 20 Sep 2000 11:02:10 -0400

Installed MacOS X Public Beta on a G4 yesterday.  It works quite well, but I've encountered a very strange problem with connecting to my Linux netatalk server.  The server is an Intel machine with a large RAID-5 array mounted at /home on RedHat Linux 6.2.  Kernel is 2.2.16 with RAID patches.  Using MacOS 9 on the G4, I've used the netatalk server to store several gigabytes of MP3s, among other things, and I've had no problems whatever.  

Now, when I connect to the netatalk server from MacOS X, everything appears to work fine.  Files and directories all show up, and the files all have Finder info, including custom icons, so the .AppleDouble stuff is OK.  However, some of the files actually show up as zero K in the Finder, and applications won't open them.  

Here are relevant "ls -al" listings of two different files on the Linux box.  When mounted in MacOS 9, both of these files work just fine.  However, when using MacOS X, "Screaming Skin" shows a size of 7.5M, appears to be a MacAMP file, and plays fine.  "Denis," on the other hand, reports a size of 0K, but still appears to be a MacAMP file.  MacAMP (or any other program) sees an empty file.

Where should I even start looking to solve this problem?

[mplumb@linux Blondie]$ ls -al "No Exit"/ "No Exit/.AppleDouble"/
No Exit/:
total 88512
drwxrwxr-x    3 mplumb   users        4096 Jul 30 18:10 .
drwxrwxr-x    6 mplumb   users        4096 Apr 27 17:26 ..
drwxrwxr-x    2 mplumb   users        4096 Apr 26 13:11 .AppleDouble
-rw-r--r--    1 mplumb   users     7514076 Apr  4 16:39 01.Screaming Skin.mp3

No Exit/.AppleDouble/:
total 112
drwxrwxr-x    2 mplumb   users        4096 Apr 26 13:11 .
drwxrwxr-x    3 mplumb   users        4096 Jul 30 18:10 ..
-rw-r--r--    1 mplumb   users         589 Jul 30 18:14 .Parent
-rw-r--r--    1 mplumb   users         589 Jul 30 18:14 01.Screaming Skin.mp3

[mplumb@linux Blondie]$ ls -al "Once More Into The Bleach"/ "Once More Into The Bleach/.AppleDouble"/
Once More Into The Bleach/:
total 85292
drwxrwxr-x    3 mplumb   users        4096 Jul 30 18:10 .
drwxrwxr-x    6 mplumb   users        4096 Apr 27 17:26 ..
drwxrwxr-x    2 mplumb   users        4096 Apr 20 13:42 .AppleDouble
-rw-r--r--    1 mplumb   users     5759625 Apr 27 15:01 01.Denis.mp3

Once More Into The Bleach/.AppleDouble/:
total 168
drwxrwxr-x    2 mplumb   users        4096 Apr 20 13:42 .
drwxrwxr-x    3 mplumb   users        4096 Jul 30 18:10 ..
-rw-r--r--    1 mplumb   users         589 Jul 30 18:14 .Parent
-rw-r--r--    1 mplumb   users        9167 Jul 30 18:14 01.Denis.mp3